Package com.sas.lsaf.execution.job

## Enum ManifestProgram.ExecutionStatus

- java.lang.Object
- - java.lang.Enum<ManifestProgram.ExecutionStatus>
  - - com.sas.lsaf.execution.job.ManifestProgram.ExecutionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ManifestProgram.ExecutionStatus>`
  Enclosing class:
    ManifestProgram

      public static enum ManifestProgram.ExecutionStatus
      extends java.lang.Enum<ManifestProgram.ExecutionStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCELED` |
    `ERRORS` |
    `FAILED` |
    `SUCCESSFUL` |
    `UNEXECUTED` |
    `WARNINGS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ManifestProgram.ExecutionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ManifestProgram.ExecutionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNEXECUTED

          public static final ManifestProgram.ExecutionStatus UNEXECUTED

    - #### FAILED

          public static final ManifestProgram.ExecutionStatus FAILED

    - #### CANCELED

          public static final ManifestProgram.ExecutionStatus CANCELED

    - #### ERRORS

          public static final ManifestProgram.ExecutionStatus ERRORS

    - #### WARNINGS

          public static final ManifestProgram.ExecutionStatus WARNINGS

    - #### SUCCESSFUL

          public static final ManifestProgram.ExecutionStatus SUCCESSFUL

  - ### Method Detail

    - #### values

          public static ManifestProgram.ExecutionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ManifestProgram.ExecutionStatus c : ManifestProgram.ExecutionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ManifestProgram.ExecutionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null